Update Authenticated User
curl --request PUT \
--url https://api.xplenty.com/{account_id}/api/user \
--header 'Accept: <accept>' \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"email": "jsmith@example.com",
"time_zone": "<string>",
"location": "<string>",
"notification_settings": {}
}
'import requests
url = "https://api.xplenty.com/{account_id}/api/user"
payload = {
"name": "<string>",
"email": "jsmith@example.com",
"time_zone": "<string>",
"location": "<string>",
"notification_settings": {}
}
headers = {
"Accept": "<accept>",
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {
Accept: '<accept>',
Authorization: 'Basic <encoded-value>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
name: '<string>',
email: 'jsmith@example.com',
time_zone: '<string>',
location: '<string>',
notification_settings: {}
})
};
fetch('https://api.xplenty.com/{account_id}/api/user', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"name": "<string>",
"email": "jsmith@example.com",
"avatar_url": "<string>",
"api_key": "<string>",
"time_zone": "<string>",
"location": "<string>",
"confirmed": true,
"confirmed_at": "2023-11-07T05:31:56Z",
"notifications_count": 123,
"unread_notifications_count": 123,
"notification_settings": {},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"url": "<string>",
"html_url": "<string>",
"last_login": "2023-11-07T05:31:56Z"
}Users
Update Authenticated User
Updates the currently authenticated user’s information.
PUT
/
user
Update Authenticated User
Authorizations
Enter your API key as the username. Leave the password field blank.
Example: curl -u YOUR_API_KEY: https://api.xplenty.com/...
Headers
API version header — required on all requests
Body
application/json
Response
200 - application/vnd.xplenty+json; version=2
User updated
Last modified on July 14, 2026
Was this page helpful?
⌘I